Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class AddComplexRelationRequest

Object
AddComplexRelationRequest

All Implemented Interfaces:
  `Serializable`

public class AddComplexRelationRequest extends Object implements Serializable
The properties of the complex relation to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddComplexRelationRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddComplexRelationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddComplexRelationRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Map<UUID,List<AttributeValue>>`
  `getAttributes()`
  Deprecated.
  use `attributesForTypePublicId` instead.
  `Map<String,List<AttributeValue>>`
  `getAttributesForTypePublicId()`
  The attributes that the new complex relation should contain, with types identified by public ID.
  `UUID`
  `getComplexRelationTypeId()`
  Required. The ID of the type of the complex relation.
  `String`
  `getComplexRelationTypePublicId()`
  The public ID of the type of the complex relation.
  `UUID`
  `getId()`
  The ID of the new complex relation.
  `List<ComplexRelationLegRequest>`
  `getLegs()`
  The list of legs that the new complex relation should contain.
  `Map<RelationTypeIdWithDirection,List<RelatedAssetId>>`
  `getRelations()`
  The relations that the new complex relation should contain.
  `int`
  `hashCode()`
  `void`
  `setAttributes(List<ComplexRelationAttributeRequest> attributeRequests)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setAttributes(Map<UUID,List<AttributeValue>> attributes)`
  Sets the attributes that the new complex relation should contain.
  `void`
  `setAttributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)`
  The attributes that the new complex relation should contain, with types identified by public ID.
  `void`
  `setComplexRelationTypeId(UUID complexRelationTypeId)`
  Required. The ID of the type of the complex relation.
  `void`
  `setComplexRelationTypePublicId(String complexRelationTypePublicId)`
  The public ID of the type of the complex relation.
  `void`
  `setId(UUID id)`
  The ID of the new complex relation.
  `void`
  `setLegs(List<ComplexRelationLegRequest> legs)`
  The list of legs that the new complex relation should contain.
  `void`
  `setRelations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)`
  The relations that the new complex relation should contain.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddComplexRelationRequest

    public AddComplexRelationRequest()

- ## Method Details

  - ### setAttributes

    public void setAttributes(Map<UUID,List<AttributeValue>> attributes)
    Sets the attributes that the new complex relation should contain.
    Parameters:
      `attributes` - the attributes that the new complex relation should contain

  - ### setAttributes

    @Deprecated public void setAttributes(List<ComplexRelationAttributeRequest> attributeRequests)
    Deprecated.
    This method will be removed in the future. Please, use `setAttributes(Map)`.
    Sets the list of attributes that the new complex relation should contain.
    Parameters:
      `attributeRequests` - the attributes that the new complex relation should contain

  - ### builder

    public static AddComplexRelationRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new complex relation.

  - ### getComplexRelationTypeId

    public UUID getComplexRelationTypeId()
    Required. The ID of the type of the complex relation.

  - ### getComplexRelationTypePublicId

    public String getComplexRelationTypePublicId()
    The public ID of the type of the complex relation.

  - ### getLegs

    public List<ComplexRelationLegRequest> getLegs()
    The list of legs that the new complex relation should contain.

  - ### getRelations

    public Map<RelationTypeIdWithDirection,List<RelatedAssetId>> getRelations()
    The relations that the new complex relation should contain.

  - ### getAttributes

    @Deprecated public Map<UUID,List<AttributeValue>> getAttributes()
    Deprecated.
    use `attributesForTypePublicId` instead.
    The attributes that the new complex relation should contain.

  - ### getAttributesForTypePublicId

    public Map<String,List<AttributeValue>> getAttributesForTypePublicId()
    The attributes that the new complex relation should contain, with types identified by public ID.

  - ### setId

    public void setId(UUID id)
    The ID of the new complex relation.

  - ### setComplexRelationTypeId

    public void setComplexRelationTypeId(UUID complexRelationTypeId)
    Required. The ID of the type of the complex relation.

  - ### setComplexRelationTypePublicId

    public void setComplexRelationTypePublicId(String complexRelationTypePublicId)
    The public ID of the type of the complex relation.

  - ### setLegs

    public void setLegs(List<ComplexRelationLegRequest> legs)
    The list of legs that the new complex relation should contain.

  - ### setRelations

    public void setRelations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)
    The relations that the new complex relation should contain.

  - ### setAttributesForTypePublicId

    public void setAttributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)
    The attributes that the new complex relation should contain, with types identified by public ID.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`